org.apache.lucene.search

## Class CheckHits.SetCollector

- java.lang.Object
- - org.apache.lucene.search.SimpleCollector
  - - org.apache.lucene.search.CheckHits.SetCollector

All Implemented Interfaces:
  Collector, LeafCollector

Enclosing class:
  CheckHits

    public static class CheckHits.SetCollector
    extends SimpleCollector

Just collects document ids into a set.

### Constructor Summary

Constructors
Constructor and Description
`SetCollector(Set<Integer> bag)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `collect(int doc)`
`protected void` `doSetNextReader(LeafReaderContext context)`
`boolean` `needsScores()`
`void` `setScorer(Scorer scorer)`

### Methods inherited from class org.apache.lucene.search.SimpleCollector

`getLeafCollector`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SetCollector

    public SetCollector(Set<Integer> bag)

### Method Detail

#### setScorer

    public void setScorer(Scorer scorer)
                   throws IOException

Specified by:
  `setScorer` in interface `LeafCollector`
Overrides:
  `setScorer` in class `SimpleCollector`
Throws:
  `IOException`

#### collect

    public void collect(int doc)

Specified by:
  `collect` in interface `LeafCollector`
Specified by:
  `collect` in class `SimpleCollector`

#### doSetNextReader

    protected void doSetNextReader(LeafReaderContext context)
                            throws IOException

Overrides:
  `doSetNextReader` in class `SimpleCollector`
Throws:
  `IOException`

#### needsScores

    public boolean needsScores()